stages:
  - build
  - pages

build-document:
  stage: build
  image:
    name: texlive/texlive:latest
  script:
    - .ci/build_document.sh
  artifacts:
    paths:
      - public/
  only:
    - tags
    - branches
    - merge_requests

pages:
  stage: pages
  artifacts:
    paths:
      - public/
  script:
    - echo "Deploying to GitLab pages"
    - test -f public/Matboj_Regelwerk.pdf
  only:
    - main
